# $Id: smeserver-nagios-backup.spec,v 1.6 2010/12/06 20:48:20 slords Exp $
# Authority: mweinber
# Name: Michael Weinberger

Summary: Nagios backup integration
%define name smeserver-nagios-backup
Name: %{name}
%define version 2.0.0
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
Packager: Michael Weinberger <mweinber@neddix.de>
BuildRoot: /var/tmp/%{name}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 7.1.3
Requires: nagios >= 2.9
BuildRequires: e-smith-devtools
AutoReq: no

%changelog
* Mon Nov 17 2008 Michael Weinberger <mweinber@neddix.de> 2.0.0-1.sme
  removed scripts from specfile
  add PNP rrd files (/var/lib/nagios/) to backup

* Mon Dec 03 2007 Michael Weinberger <mweinber@neddix.de>
  Version 1.0.3
  included rrd database of nagios grapher
* Sun Oct 21 2007 Michael Weinberger <mweinber@neddix.de>
- Initial release

%description
Nagios backup integration
requires the following nagios configuration:

log_file=/var/log/nagios/nagios.log
log_archive_path=/var/log/nagios/archives
state_retention_file=/var/log/nagios/retention.dat

and all config files and directories must be located in /etc/nagios/
(cfg_file and cfg_dir settings)

%prep
%setup

%build
mkdir -p root/home/e-smith/db/nagios

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist  $RPM_BUILD_ROOT \
 --dir /home/e-smith/db/nagios 'attr(0750,root,admin)' \
 >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
